Bug 995781 - [abrt] system-config-bind-4.0.15-7.fc19: DNS.py:1212:__init__:AttributeError: 'NoneType' object has no attribute 'lower'
[abrt] system-config-bind-4.0.15-7.fc19: DNS.py:1212:__init__:AttributeError:...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:06f2251333d32c354aa6f46504f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 23:04 EDT by Jay Rubenstein
Modified: 2015-02-17 11:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:42:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.34 KB, text/plain)
2013-08-10 23:05 EDT, Jay Rubenstein
no flags Details
File: environ (290 bytes, text/plain)
2013-08-10 23:05 EDT, Jay Rubenstein
no flags Details

  None (edit)
Description Jay Rubenstein 2013-08-10 23:04:56 EDT
Description of problem:
started system-config-bind from kde memu, crashes on startup 

Version-Release number of selected component:
system-config-bind-4.0.15-7.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/sbin/system-config-bind
executable:     /usr/sbin/system-config-bind
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
DNS.py:1212:__init__:AttributeError: 'NoneType' object has no attribute 'lower'

Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 197, in <module>
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind", line 107, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 95, in __init__
    self.load()
  File "/usr/share/system-config-bind/BIND.py", line 192, in load
    self.zoneTree = ZoneTree(self)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1059, in __init__
    s.load()
  File "/usr/share/system-config-bind/ZoneTree.py", line 1074, in load
    s.store.append(svr,[s.log_pic,_('Logging Configuration'),'',DNS.Logging(s.bind.nmdc)])
  File "/usr/share/system-config-bind/DNS.py", line 1301, in __init__
    s.parse(logging)
  File "/usr/share/system-config-bind/DNS.py", line 1308, in parse
    s.channels[c.strip('"')] = Logging.Channel(c,lg['channel'][c])
  File "/usr/share/system-config-bind/DNS.py", line 1212, in __init__
    elif ch.has_key('syslog') and ( ch['syslog'].lower() in Logging.syslog_facilities ):
AttributeError: 'NoneType' object has no attribute 'lower'

Local variables in innermost frame:
s: <DNS.Channel instance at 0x2e154d0>
ch: {'syslog': None, 'print-time': 'yes', 'print-category': 'yes', 'severity': 'error', 'print-severity': 'yes'}
name: '"default"'
Comment 1 Jay Rubenstein 2013-08-10 23:05:00 EDT
Created attachment 785311 [details]
File: backtrace
Comment 2 Jay Rubenstein 2013-08-10 23:05:04 EDT
Created attachment 785312 [details]
File: environ
Comment 3 Jay Rubenstein 2014-11-06 12:45:53 EST
Fix is as follows: 

line 1212 reads
elif ch.has_key('syslog') and ( ch['syslog'].lower() in Logging.syslog_facilities ):

it should be 
elif ch.has_key('syslog') and ( ch['syslog'.lower()] in Logging.syslog_facilities ):  

line 1125 also has a "," out of place: 

  ,}  when it should be },
Comment 4 Fedora End Of Life 2015-01-09 14:24:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:42:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.